<template>
  <div>
    <v-card outlined class="mb-5">
      <v-list-item>
        <v-list-item-avatar color="grey">
          <img
            src="https://secure.gravatar.com/avatar/787565e4d84ec4a9b67f62171b11b4aa?s=800&d=identicon"
            alt
          />
        </v-list-item-avatar>
        <v-list-item-content>
          <v-list-item-title class="headline">{{items.title}}</v-list-item-title>
          <v-list-item-subtitle>Naoufal Zerai</v-list-item-subtitle>
        </v-list-item-content>
      </v-list-item>

      <v-img
        v-if="items.image"
        :src="'https://cms.shellfox.com/storage/uploads'+items.image.path"
        height="194"
      ></v-img>
    </v-card>
    <v-card outlined class="mx-auto mb-5">
      <v-card-text>
        <vue-simple-markdown :source="items.content"></vue-simple-markdown>
      </v-card-text>
      <v-card-text>
        <v-chip-group column>
          <v-chip :to="'/tag/'+tag" v-for="(tag, itag) in items.tags" :key="itag">#{{tag}}</v-chip>
        </v-chip-group>
      </v-card-text>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn icon>
          <v-icon>mdi-share-variant</v-icon>
        </v-btn>
      </v-card-actions>
    </v-card>
  </div>
</template>

<script>
export default {
  data: () => ({
    items: { image: {} }
  }),
  created() {
    this.getDataFromApi();
  },
  methods: {
    getDataFromApi() {
      fetch("https://cms.shellfox.com/api/collections/get/blog", {
        method: "post",
        headers: { "Content-Type": "application/json" },
        body: JSON.stringify({
          filter: { published: true, title_slug: this.$route.params.slug },
          sort: { _created: -1 }
        })
      })
        .then(res => res.json())
        .then(res => {
          this.items = res.entries[0];
          console.log(res.entries);
        });
    }
  }
};
</script>

<style>
</style>

